## org.mortbay.cometd.ext
Class AcknowledgedMessagesClientExtension

    java.lang.Object
      org.mortbay.cometd.ext.AcknowledgedMessagesClientExtension

All Implemented Interfaces:
  org.cometd.Extension

    public class AcknowledgedMessagesClientExtension

extends java.lang.Object
implements org.cometd.Extension

Acknowledged Message Client extension. Tracks the batch id of messages sent to a client.

Constructor Summary
`AcknowledgedMessagesClientExtension(org.cometd.Client client)`

Method Summary
`org.cometd.Message` `rcv(org.cometd.Client from, org.cometd.Message message)`
`org.cometd.Message` `rcvMeta(org.cometd.Client from, org.cometd.Message message)` Handle received meta messages.
`org.cometd.Message` `send(org.cometd.Client from, org.cometd.Message message)`
`org.cometd.Message` `sendMeta(org.cometd.Client from, org.cometd.Message message)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AcknowledgedMessagesClientExtension

    public AcknowledgedMessagesClientExtension(org.cometd.Client client)

Method Detail

### rcv

    public org.cometd.Message rcv(org.cometd.Client from,
                                  org.cometd.Message message)

  Specified by:
    `rcv` in interface `org.cometd.Extension`

### rcvMeta

    public org.cometd.Message rcvMeta(org.cometd.Client from,
                                      org.cometd.Message message)

  Handle received meta messages. Looks for meta/connect messages with ext/ack fields. If present, delete all messages that have been acked and requeue messages that have not been acked.

  Specified by:
    `rcvMeta` in interface `org.cometd.Extension`

### send

    public org.cometd.Message send(org.cometd.Client from,
                                   org.cometd.Message message)

  Specified by:
    `send` in interface `org.cometd.Extension`

### sendMeta

    public org.cometd.Message sendMeta(org.cometd.Client from,
                                       org.cometd.Message message)

  Specified by:
    `sendMeta` in interface `org.cometd.Extension`

Copyright © 1995-2010 Mort Bay Consulting. All Rights Reserved.